Require Import bool.
Require Import connectives.
Require Import leibniz.
Require Import nat.
Parameter bigop : forall (H:Type), nat.nat -> (nat.nat -> bool.bool) -> H -> (H -> H -> H) -> (nat.nat -> H) -> H.
Parameter bigop_body : forall (H:Type), nat.nat -> (nat.nat -> bool.bool) -> H -> (H -> H -> H) -> (nat.nat -> H) -> H.
Axiom axiom_bigop_S : forall H, forall (n:nat.nat), connectives.equal ((nat.nat -> bool.bool) -> H -> (H -> H -> H) -> (nat.nat -> H) -> H) (bigop (H) (nat.S n)) (bigop_body (H) (nat.S n)).
Definition eq_bigop_S : forall H, forall (n:nat.nat), leibniz.leibniz ((nat.nat -> bool.bool) -> H -> (H -> H -> H) -> (nat.nat -> H) -> H) (bigop (H) (nat.S n)) (bigop_body (H) (nat.S n)) := fun (H:Type) => fun (n:nat.nat) => ((((connectives.equal_leibniz) ((nat.nat -> bool.bool) -> H -> (H -> H -> H) -> (nat.nat -> H) -> H)) (bigop (H) (nat.S n))) (bigop_body (H) (nat.S n))) (((axiom_bigop_S) (H)) (n)).
Definition sym_eq_bigop_S : forall H, forall (n:nat.nat), leibniz.leibniz ((nat.nat -> bool.bool) -> H -> (H -> H -> H) -> (nat.nat -> H) -> H) (bigop_body (H) (nat.S n)) (bigop (H) (nat.S n)) := fun (H:Type) => fun (n:nat.nat) => ((((leibniz.sym_leibniz) ((nat.nat -> bool.bool) -> H -> (H -> H -> H) -> (nat.nat -> H) -> H)) (bigop (H) (nat.S n))) (bigop_body (H) (nat.S n))) (((eq_bigop_S) (H)) (n)).
